Proxy-seller

Actions with proxies

Updated:

Manage IPs within your proxy orders β€” list them, rotate, extend, or annotate.

Common parameter. Every endpoint on this page operates on a specific order. Pass orderNumber β€” get it from GET /proxy/list.

GEThttps://proxy-seller.com/personal/api/v2/{apiKey}/proxy/list
Returns active proxies grouped by type.
GEThttps://proxy-seller.com/personal/api/v2/{apiKey}/proxy/list/{type}
Returns active proxies of one type. Supports the same query parameters as /proxy/list

Path parameters

Name

Value

Required

Description

Type

ipv4, ipv6, mobile, isp, mix, mix_isp, or resident

Yes

Specifies the type of proxies to include in the downloaded list.


Authorization

<Your_API_Key>

Yes

Your personal API key (How to get)

Query parameters

Name

Type

Required

Description

latest

String

No

Yreturns proxies from the latest active order when orderId is not provided.

orderId

String

No

Return a proxy from a specific orderId or OrderPart.number

country

String

No

Alpha3 country name (FRA or DEU re…)

ends

String

No

Y returns only ENDED proxies that still have dateEnd in the future. Otherwise closed proxies are excluded.

Example

To retrieve proxies of all types:

https://proxy-seller.com/personal/api/v2/afoov21vcoodewq/proxy/list

To retrieve proxies of a specific type (e.g., IPv4):

https://proxy-seller.com/personal/api/v2/afoov21vcoodewq/proxy/list/ipv4

Response

All type of proxies

{
  "status": "success",
  "data": {
    "ipv4": [],
    "ipv6": [],
    "mobile": [],
    "isp": [],
    "mix": [],
    "mix_isp": [],
    "resident": []
  },
  "errors": []
}

One type of proxy

{
    "status": "success",
    "data": {
        "items": [
            {
                "id": "69fa4b7f256cae5b70a79478",
                "order_id": "69fa4b795a1f522c7a53d589",
                "order_number": "TEST_1778011001948-uc_e_UUf2Z3RtGH",
                "basket_id": "69fa4b7a5a1f522c7a53d58b",
                "ip": "11.55.11.0",
                "ip_only": "11.55.11.0",
                "protocol": "HTTP",
                "port_socks": 49453,
                "port_http": 49353,
                "login": "login",
                "password": "password",
                "authIp": "",
                "rotation": null,
                "link_reboot": "#",
                "country": "Germany",
                "country_alpha3": "DEU",
                "status": "Active",
                "status_type": "ACTIVE",
                "can_prolong": true,
                "date_start": "05.05.2026",
                "date_end": "11.06.2026",
                "comment": "",
                "auto_renew": "N",
                "auto_renew_period": ""
            }
        ]
    },
    "errors": []
}

Wrong type of proxy

{
    "status": "error",
    "data": null,
    "errors": [
        {
            "message": "Could not find description of list/{type} in CrmUserApiProxy",
            "code": 22002,
            "customData": null
        }
    ]
}

Please note that if no proxy type is specified, all available types will be returned for your profile.


GEThttps://proxy-seller.com/personal/api/v2/{apiKey}/proxy/download/{type}
Export IPs
This API endpoint allows you to download the list of your proxies.

Path parameters:

Name

Value

Required

Description

Type

ipv4, ipv6, mobile, isp, mix, mix_isp, or resident

Yes

Specifies the type of proxies to include in the downloaded list.

Authorization

<Your_API_Key>

Yes

Your personal API key (How to get)

Optional parameters

Name

Value

Description

ext

txt

csv

Specifies the format in which the proxy list will be downloaded.

%login%:%password%@%ip%:%port%

Custom format

proto

https

socks5

Specifies the proxy port format you prefer for the proxies.

listId

Integer

Proxy list id (only for resident, if not set - will return ip from all sheets)

package_key

String

Proxy list package_key (only for subresident)

country

String

Alpha3 country name (FRA or USA or ...)

ends

String

Y - List of ending proxies

Example

To retrieve proxies of a specific type (e.g., IPv4):

https://proxy-seller.com/personal/api/v2/afoov21vcoodewq/proxy/download/ipv4?ext=txt&proto=https

Response

response wrong proxy type

{
    "status": "error",
    "data": null,
    "errors": [
        {
            "message": "Could not find description of list{type} in CrmUserApiProxy",
            "code": 22002,
            "customData": null
        }
    ]
}

Modify

POSThttps://proxy-seller.com/personal/api/v2/{apiKey}/proxy/replace
Replace IPs
Rotate an IP without losing the order slot. Counts against monthly replace quota.

Path parameters

Name

Value

Required

Description

Authorization

<Your_API_Key>

Yes

Your personal API key (How to get)

Request body

Name

Type

Description

ids

Number

A single ID or an array of IDs in '[ ]', separated by commas

comment

String

Optional comment to include with the request

type

String

Type of replacement

Example

https://proxy-seller.com/personal/api/v2/afoov21vcoodewq/proxy/replace
{
    "ids": ["10"],
    "type": "CUSTOM",
    "comment": "Test replace IP"
}

Response

{
    "status": "success",
    "data": {
        "ok": {
            "ips": [
                "11.55.11.0"
            ],
            "msg": "Replacement request submitted"
        }
    },
    "errors": []
}
{
    "status": "error",
    "data": null,
    "errors": [
        {
            "code": 503,
            "message": "Error api key",
            "customData": null
        },
        {
            "code": 503,
            "message": "IP not allowed",
            "customData": null
        },
        {
            "code": 503,
            "message": "Request limit reached",
            "customData": null
        }
    ]
}
{
    "status": "error",
    "data": null,
    "errors": [
        {
            "code": 0,
            "message": "Set coorect type: NOT_WORK / INCORRECT_LOCATION / CANT_CHANGE_NETWORK / LOW_SPEED / CUSTOM",
            "customData": null
        }
    ]
}

Types of replacement: NOT_WORK, INCORRECT_LOCATION, CANT_CHANGE_NETWORK, LOW_SPEED, CUSTOM

POST https://proxy-seller.com/personal/api/v2/{apiKey}/prolong/calc/{type}
Prolong IPs
Extend expiration on selected IPs. Billed per IP-day.

This document provides a detailed guide on how to set up automatic renewal for your IP addresses of various types. Please note that IP addresses must be renewed on time to maintain the same addresses.

Calculate extension

This endpoint helps you calculate the cost. Discounts for volume and rental periods are similar to those offered by our service.

Path parameters

Name

Value

Required

Description

Authorization

<Your_API_Key>

Yes

Your personal API key (How to get)

Type

ipv4

ipv6

mobile

isp

mix

mix_isp

Yes

The proxy type you want to extend

Request body

Name

Type

Description

ids

Number

A single ID or an array of IDs in '[ ]', separated by commas (how to get)

coupon

String

The comment you want to add

periodId

String

ID of the period you selected in the /reference/list/{type} request

Example (e.g. ipv4)

https://proxy-seller.com/personal/api/v2/afoov21vcoodewq/prolong/calc/ipv4
{
    "ids": ["10"],
    "periodId": "1m",
    "coupon": "",
    "paymentId": "balance"
}

Response

{
    "status": "success",
    "data": {
        "warning": "",
        "balance": 498648.72,
        "total": 3.49,
        "quantity": 1,
        "currency": "USD",
        "discount": 3.00,
        "items": [
            {
                "id": "69fa4b7f256cae5b70a79478",
                "order_id": "69fa4b795a1f522c7a53d589",
                "order_number": "TEST_1778011001948-uc_e_UUf2Z3RtGH",
                "basket_id": "69fa4b7a5a1f522c7a53d58b",
                "ip": "11.55.11.0",
                "ip_only": "11.55.11.0",
                "protocol": "HTTP",
                "port_socks": 49453,
                "port_http": 49353,
                "login": "loginΒ ",
                "password": "password",
                "authIp": "",
                "rotation": null,
                "link_reboot": "#",
                "country": "Germany",
                "country_alpha3": "DEU",
                "status": "Active",
                "status_type": "ACTIVE",
                "can_prolong": true,
                "date_start": "05.05.2026",
                "date_end": "11.06.2026",
                "comment": "",
                "auto_renew": "N",
                "auto_renew_period": ""
            }
        ],
        "orders": 1
    },
    "errors": []
}
{
    "status": "error",
    "data": {
        "warning": "Insufficient funds. Total $3.49. Not enough $2.49",
        "balance": 1.00,
        "total": 3.49,
        "quantity": 1,
        "currency": "USD",
        "discount": 3.00,
        "items": [
            {
                "id": "69fa4b7f256cae5b70a79478",
                "order_id": "69fa4b795a1f522c7a53d589",
                "order_number": "TEST_1778011001948-uc_e_UUf2Z3RtGH",
                "basket_id": "69fa4b7a5a1f522c7a53d58b",
                "ip": "11.55.11.0",
                "ip_only": "11.55.11.0",
                "protocol": "HTTP",
                "port_socks": 49453,
                "port_http": 49353,
                "login": "login",
                "password": "password",
                "authIp": "",
                "rotation": null,
                "link_reboot": "#",
                "country": "Germany",
                "country_alpha3": "DEU",
                "status": "Active",
                "status_type": "ACTIVE",
                "can_prolong": true,
                "date_start": "05.05.2026",
                "date_end": "11.06.2026",
                "comment": "",
                "auto_renew": "N",
                "auto_renew_period": ""
            }
        ],
        "orders": 1
    },
    "errors": []
}
{
    "status": "error",
    "data": null,
    "errors": [
        {
            "code": 0,
            "message": "Set existed [periodId] from reference",
            "customData": null
        }
    ]
}
{
    "status": "error",
    "data": null,
    "errors": [
        {
            "code": 0,
            "message": "IP not found",
            "customData": null
        }
    ]
}

POSThttps://proxy-seller.com/personal/api/v2/{apiKey}/prolong/make/{type}
Prolong IPs
In this section you will learn how to create renewal order.

Create a renewal order

Creates an extension order.

Path parameters

Name

Value

Required

Description

Authorization

<Your_API_Key>

Yes

Your personal API key (How to get)

Type

ipv4

ipv6

mobile

isp

mix

mix_isp

Yes

The proxy type you want to extend

Request body

Name

Type

Description

ids

Number

A single ID or an array of IDs in '[ ]', separated by commas (how to get)

coupon

String

Promo code.

periodId

String

ID of the period you selected in the /reference/list/{type} request

paymentId

String

Id's of payments system "69e799e7497b2c153b33faca" - balance, "69e799e8497b2c153b33faed" - card that you added in your cabinet

Example (e.g. ipv4)

https://proxy-seller.com/personal/api/v2/afoov21vcoodewq/prolong/make/ipv4
{
    "ids": ["10"],
    "periodId": "1m",
    "coupon": "",
    "paymentId": "balance"
}

Response

{
    "status": "success",
    "data": {
        "orderId": "69fa4b795a1f522c7a53d589",
        "total": 3.49,
        "listBaseOrderNumbers": [
            "TEST_1778011001948-uc_e_UUf2Z3RtGH"
        ],
        "balance": 1.00
    },
    "errors": []
}
{
    "status": "error",
    "data": {
        "warning": "Insufficient funds. Total $3.49. Not enough $2.49",
        "balance": 1.00,
        "total": 3.49,
        "quantity": 1,
        "currency": "USD",
        "discount": 3.00,
        "items": [
            {
                "id": "69fa4b7f256cae5b70a79478",
                "order_id": "69fa4b795a1f522c7a53d589",
                "order_number": "TEST_1778011001948-uc_e_f7iNLfHqK8",
                "base_order_number": "TEST_1778011001948-uc_e_f7iNLfHqK8",
                "ip": "11.55.11.0",
                "port_http": null,
                "port_socks": null,
                "login": "x2alltop0qRU6",
                "password": "gwBwtL9LMM",
                "authIp": "",
                "country": "Germany",
                "date_start": "05.05.2026 19:56:42",
                "date_end": "10.08.2026 23:59:59",
                "comment": "",
                "status": "Active",
                "rotation": null,
                "link_reboot": "#",
                "can_prolong": true
            }
        ],
        "orders": 1
    },
    "errors": []
}
{
    "status": "error",
    "data": null,
    "errors": [
        {
            "code": 0,
            "message": "Set existed [periodId] from reference",
            "customData": null
        }
    ]
}
{
    "status": "error",
    "data": null,
    "errors": [
        {
            "code": 0,
            "message": "IP not found",
            "customData": null
        }
    ]
}
POSThttps://proxy-seller.com/personal/api/v2/{apiKey}/proxy/comment/set
Add comments
Attach a free-text note (max 256 chars) to help identify an IP in the UI or in exports.

Path parameters

Name

Value

Required

Description

Authorization

<Your_API_Key>

Yes

Your personal API key (How to get)

Request body

Name

Type

Description

ids

Number

A single ID or an array of IDs in '[ ]', separated by commas (how to get)

comment

String

The comment you want to add

Example

https://proxy-seller.com/personal/api/v2/afoov21vcoodewq/proxy/comment/set
{
    "ids": ["10"],
    "comment": "My server"
}

Response

{
    "status": "success",
    "data": {
        "updated": 1
    },
    "errors": []
}
{
    "status": "error",
    "data": null,
    "errors": [
        {
            "code": 0,
            "message": "IP not found",
            "customData": null
        }
    ]
}

Common to all proxy endpoints

  1. Base URL

    https://proxy-seller.com/personal/api/v2/{YourApiKey}/
  2. Authentication

    API key in URL path.

  3. Error model

    Business errors return HTTP 200 with errors[] populated.

After you've managed your IPs

Authorizationissue per-order credentialsOpenOrder actionsbuy more proxies when you need additional IPsOpenBalancecheck funds before bulk prolongationOpen

On this page